int led = 12;           // Die LED wird an Pin 12 angeschlossen.

/*
Das Setup enthält wichtige Einstellungen für Objekte oder Aktoren/Sensoren und startet 
eine Schnittstelle mit dem Arduino.
Der Code wird nur einmal beim Start des Arduinos ausgeführt.
*/
void setup() {
  // Lege die LED als Output fest.
  pinMode(led, OUTPUT);
}

/*
Die loop enthält den Code, den der Arduino immer wieder von Zeile 11-24 ausführt.
*/
void loop() {
  /* Lege den Abstand als Gleitkommazahl (Datentyp "float") 20 fest.
     An diesem Punkt könnte man den Abstand auch messen.
  */
  float abstand = 20.0;

  // Falls der Abstand kleiner als 10 ist...
  if (abstand < 10) {
    digitalWrite(led, HIGH);        // ... schalte die LED ein.

  // Ansonsten...
  } else {
    digitalWrite(led, LOW);         // ... schalte die LED aus.
  }
}
